package click.kamil.springstatemachineexporter.model;

public record Event(String rawName, String fullIdentifier) {
    public static Event of(String name) {
        return new Event(name, name);
    }

    public static Event of(String raw, String full) {
        return new Event(raw, full);
    }

    @Override
    public String toString() {
        return fullIdentifier != null ? fullIdentifier : rawName;
    }
}
